Subject: bug#24849: Is Emacs put in idle mode when window is not focused?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Nov 2016 22:45:29 +0200

> From: Johan Andersson <[email-masked]>
> Date: Tue, 1 Nov 2016 21:18:28 +0100
> Cc: [email-masked]
> 
> I added the set-process-filter in case that would make a difference, but I don't think that is the issue here. The
> issue is that the services (sub processes of Emacs as you say) takes a long time to respond when Emacs is
> idle. If I run the same command from a terminal, that doesn't happen.

"To respond"?  That is, Emacs sends something to the service, and the
time between that and the response is too long?

Are you sure it's the time between the input to the service and its
response that's long?  Could it be that Emacs delays sending the input
instead?

Maybe you could describe in more detail how the communications between
Emacs and the service work.  E.g., what triggers sending input from
Emacs to the service?